#include <stdio.h>
#include <stdlib.h>
#include <math.h>

int main()
{
    float p,q,r,L,R,n,a,b,c,x=0;
    scanf("%f %f %f %f %f",&p,&q,&r,&L,&R);
    for(n=L;n<=R;n++)
    {
      a=n/p;
      a=ceil(a);
      b=n/q;
      b=ceil(b);
      c=n/r;
      c=ceil(c);
      if(a+b+c<=n)
        x=x+1;
    }
    printf("%.0f",x);

    return 0;
}